Transaction History

This method provides detailed information on the transaction history, presenting a comprehensive list of previous transactions carried out by a Klikoo B2B client.


A. Request Header

FieldFormatMandatoryLengthExample
Open-Api-Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-07T10:20:35.000+07:00
Open-Api-SignatureDigital SignatureY88QiOLtSa5CuHOPW7sMwQacdeH
OuuvmCegSZ4lJsVlFrwE53/M88fL
EX6eqPA/tvrVI1U65nJSMW0SRidfT|
iP8Ag==

B. Request Query Params

FieldTypeDescriptionRequiredExample
pageintThe page number for paginationtrue1
limitintMaximum number of items to return per pagetrue50
qstringA query string for searching or filtering transactionsfalse“maxim”
fromstringThe value of starting transaction date in ISO8601false“2023-12-19T17:00:00”
tostringThe value of ending transaction date in ISO8601false“2024-12-30T17:00:00”

C. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“200022000”
response_messagestringContains the value of OpenAPI response message“Sukses”
meta objectContains the metadata related to transaction list’s pagination
current_pageintThe value of the current page in the paginated result set“20613653-98eb-4106
-88b5-f86b46560134”
previous_pageintThe value of the previous page in the paginated result set (if any)“SUCCESS”
next_pageintThe value of the next page in the paginated result set (if any)“123242432333132”
total_pagesintThe total number of available pages in the paginated result set“10086”
total_rowsintThe total number of rows or data entries matching the query“024-05-21T04:54:18.788451Z”
per_pageintThe number of items or rows to be displayed per page“”
dataarray of objectsContains the value of transaction history list
created_atstringThe value of product’s name“DANA 10.000”
snstringThe value of transaction’s serial number“2024052110121481030
100166521802805959
/DNID DEFX SUSXXXX”
valuestringRepresenting a value associated with a mobile device or user“081294482354”
customer_namestringName of the customer involved in the transaction“DNID DEFX
SUSXXXX”
current_balancestringCurrent balance associated with the customer“2181772"
beginning_balancestringBalance before the transaction occurred"2191858"
product_codestringUnique identifier for the product“DN10”

D. Sample Response

{
    "response_code": "200022000",
    "response_message": "Sukses",
    "meta": {
        "current_page": 1,
        "previous_page": 0,
        "next_page": 2,
        "total_pages": 16,
        "total_rows": 47,
        "per_page": 3
    },
    "data": [
        {
            "created_at": "2025-04-11T10:42:59.009623Z",
            "updated_at": "2025-04-11T10:42:59.009623Z",
            "trade_id": "",
            "product_code": "PRPPLN100",
            "value": "01105691111",
            "amount": 100004,
            "selling_price": 1,
            "admin_fee": 0,
            "balance_deducted": 100004,
            "status": "WAITING",
            "history_balance_before": 8233425.44,
            "history_balance_after": 8133421.44,
            "klikoo_product_name": "PLN 100.000",
            "product_category": "plnprepaid",
            "failed_reason": "",
            "token": "",
            "partner_reference_id": "1023133102343434393463",
            "transaction_id": "14434889"
        },
        {
            "created_at": "2025-04-11T10:41:40.987731Z",
            "updated_at": "2025-04-11T10:41:40.987731Z",
            "trade_id": "",
            "product_code": "PRPPLN20",
            "value": "14234567895",
            "amount": 14032,
            "selling_price": 1,
            "admin_fee": 0,
            "balance_deducted": 14032,
            "status": "WAITING",
            "history_balance_before": 8247457.44,
            "history_balance_after": 8233425.44,
            "klikoo_product_name": "PLN 20.000",
            "product_category": "plnprepaid",
            "failed_reason": "",
            "token": "",
            "partner_reference_id": "1023133102343434393462",
            "transaction_id": "14434888"
        },
        {
            "created_at": "2025-04-11T10:40:52.982984Z",
            "updated_at": "2025-04-11T10:41:08.008409Z",
            "trade_id": "",
            "product_code": "AYCPLSTPL20",
            "value": "14234567895",
            "amount": 20556,
            "selling_price": 1,
            "admin_fee": 0,
            "balance_deducted": 20556,
            "status": "FAILED",
            "history_balance_before": 8247457.44,
            "history_balance_after": 8226901.44,
            "klikoo_product_name": "PLN 20.000",
            "product_category": "plnprepaid",
            "failed_reason": "Produk sedang dalam masalah",
            "token": "14434887",
            "partner_reference_id": "1023133102343434393461",
            "transaction_id": "14434887"
        }
    ]
}

Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Query Params
int32
int32
string
string
string
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json